### Class

# GnomeCmd State

#### Description

    class GnomeCmd.State : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### gnome_cmd_state_new

No description available.

#### Instance methods

###### gnome_cmd_state_get_active_dir

No description available.

###### gnome_cmd_state_get_active_dir_files

No description available.

###### gnome_cmd_state_get_active_dir_selected_files

No description available.

###### gnome_cmd_state_get_inactive_dir

No description available.

###### gnome_cmd_state_get_inactive_dir_files

No description available.

###### gnome_cmd_state_get_inactive_dir_selected_files

No description available.

###### gnome_cmd_state_set_active_dir

No description available.

###### gnome_cmd_state_set_active_dir_files

No description available.

###### gnome_cmd_state_set_active_dir_selected_files

No description available.

###### gnome_cmd_state_set_inactive_dir

No description available.

###### gnome_cmd_state_set_inactive_dir_files

No description available.

###### gnome_cmd_state_set_inactive_dir_selected_files

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GnomeCmdStateClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.